<template>
    <q-drawer
        v-model="ongoingDrawer"
        side="right"
        :width="300"
        :no-swipe-open="true"
        overlay
        elevated
    >
        <q-btn
            class="close-right-drawer"
            flat
            text-color="white"
            size="md"
            icon="clear"
            @click="closeDrawer(false)"
        />
        <ongoing-issue 
            v-if="$q.platform.is.mobile"
        />
    </q-drawer>
</template>

<script lang="ts">
import { useStore } from 'src/store';
import { defineComponent, computed } from 'vue'
import { mapGetters } from 'vuex';
import OngoingIssue from '../chats/OngoingIssue.vue';

export default defineComponent({
    name: 'OngoingDrawer',
    components: { 
        OngoingIssue 
    },
    computed: {
        ...mapGetters({
            ongoingDrawer: 'menu/getOngoingDrawer'
        })
    },
    setup() {
        const store = useStore();
        const closeDrawer = (status: boolean) => {
            store.dispatch('menu/setOngoingDrawer', status);
        }
        
        return {
            closeDrawer
        };
    },
});
</script>
